ubuntu 64编译软件用到lib32时的解决办法

软件和网站开发以及相关技术探讨
回复
头像
masonliu
帖子: 457
注册时间: 2007-04-10 14:51
送出感谢: 1 次
接收感谢: 1 次

ubuntu 64编译软件用到lib32时的解决办法

#1

帖子 masonliu » 2014-05-11 19:01

安装需要的32位库
$ sudo apt-get install libc6:i386 libgcc1:i386 gcc-4.6-base:i386 libstdc++5:i386 libstdc++6:i386

sudo apt-get install libncurses5:i386
sudo apt-get install g++-multilib


试试看如何啊。本人是使用kitchen遇到这个问题的。
做个记号。
天羽美羽
帖子: 183
注册时间: 2013-05-22 22:29
系统: Ubuntu14.04
送出感谢: 11 次
接收感谢: 2 次

Re: ubuntu 64编译软件用到lib32时的解决办法

#2

帖子 天羽美羽 » 2014-05-12 2:20

ubuntu14.04就没ia-lib32这包了,如果名称没记错的话,但是许多32位linux软件在64位系统安装还是提示需要该包,具体的处理方法倒是有那么几种,但方法做起来都不是那么容易。
回复

回到 “软件/网站开发”